Package org.silverpeas.components.yellowpages.control

## Class DisplayContactsHelper

- java.lang.Object
- - org.silverpeas.components.yellowpages.control.DisplayContactsHelper

-     public class DisplayContactsHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `displayContactsAdmin​(String contactCard, YellowpagesSessionController yellowpagesScc, String profile, Collection<UserContact> contacts, String contactDeleteIcon, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef, javax.servlet.ServletRequest request, javax.servlet.http.HttpSession session, org.silverpeas.core.util.MultiSilverpeasBundle resources, javax.servlet.jsp.JspWriter out)` |
    `static void` | `displayContactsUser​(YellowpagesSessionController yellowpagesScc, Collection<org.silverpeas.core.contact.model.ContactFatherDetail> contacts, String id, String componentLabel, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef, javax.servlet.ServletRequest request, javax.servlet.http.HttpSession session, org.silverpeas.core.util.MultiSilverpeasBundle resources, javax.servlet.jsp.JspWriter out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### displayContactsAdmin

          public static void displayContactsAdmin​(String contactCard,
                                                  YellowpagesSessionController yellowpagesScc,
                                                  String profile,
                                                  Collection<UserContact> contacts,
                                                  String contactDeleteIcon,
                                                  org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef,
                                                  javax.servlet.ServletRequest request,
                                                  javax.servlet.http.HttpSession session,
                                                  org.silverpeas.core.util.MultiSilverpeasBundle resources,
                                                  javax.servlet.jsp.JspWriter out)
                                           throws IOException

      Throws:
        `IOException`

    - #### displayContactsUser

          public static void displayContactsUser​(YellowpagesSessionController yellowpagesScc,
                                                 Collection<org.silverpeas.core.contact.model.ContactFatherDetail> contacts,
                                                 String id,
                                                 String componentLabel,
                                                 org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef,
                                                 javax.servlet.ServletRequest request,
                                                 javax.servlet.http.HttpSession session,
                                                 org.silverpeas.core.util.MultiSilverpeasBundle resources,
                                                 javax.servlet.jsp.JspWriter out)
                                          throws IOException

      Throws:
        `IOException`